file_exists(3)

NAME
file_exists - Tells if a file exists. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int file_exists(const char *filename, int attrib, int *aret);

DESCRIPTION
Checks whether a file matching the given name and attributes (see beginning of this chapter) exists. If `aret' is not NULL, it will be set to the attributes of the matching file. Example:
   /* Check for a normal file. */
   if (file_exists("franken.dat", 0, NULL))
      allegro_message("It is alive!\n");

RETURN VALUE
Returns non-zero if the file exists, or zero if it doesn't or the specified attributes mask it out.

SEE ALSO
exists(3), file_size_ex(3), file_time(3)